#!/usr/bin/env python
from setuptools import find_namespace_packages, setup
from pathlib import Path

root_dir = Path(__file__).parent
long_description = (root_dir / "README.md").read_text()

setup(
    name="dbt-dli",
    version="1.0.0",
    description="""The DLI adapter for DBT (data build tool)""",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="nbb",
    url="",
    packages=find_namespace_packages(include=["dbt", "dbt.*"]),
    include_package_data=True,
    install_requires=[
        "dbt-core~=1.7.9",
        "dli-sdk-python~=2.0.1"
    ],
)
